Nimbu Developer Docs
ReferenceConsent

List consent applications

GET
/settings/consent/applications

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

X-Nimbu-Site*string

Site identifier

Response Body

application/json

curl -X GET "https://example.com/settings/consent/applications" \  -H "X-Nimbu-Site: string"
[
  {
    "name": "string",
    "title": {},
    "description": {},
    "purposes": [
      "string"
    ],
    "required": true,
    "default": true,
    "opt_out": true,
    "placeholder_message": {},
    "placeholder_action": {},
    "cookies": [
      {}
    ]
  }
]
Empty